
%define major 0

%define libname_devel %mklibname %{name} -d
%define libname %mklibname %{name} %{major}


Summary:	Wayland Compositor Infrastructure
Name:		wayland
Version:	1.22.0
Release:	%mkrel 2
Source0:	http://wayland.freedesktop.org/releases/%{name}-%{version}.tar.xz
License:	MIT
Group:		System/Libraries
Url:		http://wayland.freedesktop.org/
#-----------------------------------------------
BuildRequires:	expat-devel
BuildRequires:	%{_lib}ffi-devel
BuildRequires:	xsltproc docbook-style-xsl
BuildRequires:	doxygen
#----------------------------------------------


%description
Wayland is a protocol for a compositor to talk to its clients as well
as a C library implementation of that protocol. The compositor can be
a standalone display server running on Linux kernel modesetting and
evdev input devices, an X application, or a wayland client itself. The
clients can be traditional applications, X servers (rootless or
fullscreen) or other display servers.

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the libraries for %{name}


%package -n %{libname_devel}
Summary:	Header files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{name}-tools = %{version}

%description -n %{libname_devel}
This package contains the header and pkg-config files for developing
with %{name}.

%package tools
Summary: %{name} devel tools
Group: System/Libraries


%description tools
This package contains development tools for %{name}.

%package doc
Summary: %{name} documentation
Group: Documentation
BuildArch: noarch

%description doc
This package contains documentation of %{name}.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*
%{_libdir}/libwayland-egl.so.*

%files -n %{libname_devel}
%{_includedir}/%{name}-*.h
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/aclocal/%{name}-scanner.m4
%{_datadir}/wayland/wayland-scanner.mk
%{_datadir}/wayland/wayland.xml
%{_datadir}/wayland/wayland.dtd


%files tools
%{_bindir}/%{name}-scanner

%files doc
/usr/share/doc
/usr/share/man

%changelog
* Thu Sep 21 2023 tex - 1.22.0-2pclos2023
- rebuild against updates

* Thu Apr 06 2023 tex - 1.22.0-1pclos2023
- new version

* Sat Jul 02 2022 tex - 1.21.0-1pclos2022
- new version

* Sun Dec 12 2021 tex - 1.20.0-1pclos2021
- new version

* Tue Feb 16 2021 tex - 1.19.0-1pclos2021
- new version

* Fri Mar 22 2019 tex - 1.17.0-1pclos2019
- new version

* Wed Mar 20 2019 tex - 1.16.93-1pclos2019
- new

* Fri Sep 07 2018 tex - 1.16.0-1pclos2018
- new

* Thu Dec 07 2017 bb2 <bb2> - 1.14.0-2pclos2017
- rebuild against updates

* Fri Aug 11 2017 bb2 <bb2> - 1.14.0-1pclos2017
- new version

* Sat Feb 25 2017 bb2 <bb2> - 1.13.0-1pclos2017
- new version

* Fri Jul 22 2016 bb <bb> 1.11.0-2pclos2016
- rebuild new libffi

* Thu Jun 02 2016 bb <bb> 1.11.0-1pclos2016
- update

* Sat Sep 26 2015 bb <bb> 1.9.0-1pclos2015
- update

